
// #home-container {
//   background-image : url('../images/background-image-2.jpg') ;
//   background-size : cover ;
//   background-position-x : center;
// }

.body {
  flex : 1 1 auto ;
  z-index : 0 ;
  // padding : 0 6em ;
  margin : 0 10vw ;
}

.scrollbar-thumb-vertical {
  background-color : $dark-grey ;
}

.scrollbar-thumb-horizontal {
  background-color : $dark-grey ;
}

#home-page-content {
  height : 100% ;
  display : flex ;
  justify-content: center;
}

#home-page-main-links {
  display : flex ;
  flex-wrap : wrap ;
  justify-content : center ;

  position : absolute ;
  top : 0 ;
  margin-top : 45vh ;
  z-index : 1 ;

  text-align : center ;
}

.home-page-link-director,
.writing-page-link-director,
.architecture-page-link-director {
  margin : 0 4em ;
  display : block ;
}

.home-page-link-director:hover {
  transition : margin 200ms ;
  margin : 0 calc(4em - 0.05em - 2px) ;
  &~ .home-page-link-tooltip {
    transition : opacity 500ms ;
    opacity : 0.8 ;
  }

  &~ .home-page-link-banner {
    transition : opacity 200ms, width 200ms, margin 200ms ;
    opacity : 0.4 ;
    width : 10em ;
    margin : 0 2.25em ;
  }

  & .home-page-link {
    transition : background-color 200ms , border 200ms , height 200ms , width 200ms , box-shadow 200ms , margin-top 200ms ;
    background-color : $light-grey ;
    border : 2px solid $light-grey ;
    height : 6.6em ;
    width : 6.6em ;
    box-shadow : 0 0.5em 0.5em rgba($color:$black, $alpha: 0.3);
    margin-top : -0.5em ;

    i {
      color : $black ;
    }
  }


}

.home-page-link-director:not(:hover) {
  transition : margin 200ms ;
  margin : 0 4em ;
  &~ .home-page-link-tooltip {
    transition : opacity 500ms ;
    opacity : 0 ;
  }

  &~ .home-page-link-banner {
    transition : opacity 200ms, width 200ms, margin 200ms ;
    opacity : 0.1 ;
    width : 6em ;
    margin : 0 4.25em ;
  }

  & .home-page-link {
    transition : background-color 200ms , border 200ms , height 200ms , width 200ms , box-shadow 200ms , margin-top 200ms ;
    background-color : $black ;
    border : 2px solid $black ;
    height : calc(6.5em - 4px) ;
    width : calc(6.5em - 4px) ;
    box-shadow : none ;
    margin-top : 0 ;

    i {
      color : $light-grey ;
    }
  }
}

.home-page-link,
.writing-page-link,
.architecture-page-link {
  display : flex ;
  justify-content : center ;
  align-items : center ;

  background-color : $black ;
  height : calc(6.5em - 4px) ;
  width : calc(6.5em - 4px) ;
  border-radius : calc(6.5em - 2px) ;
  border : 2px solid $black ;

  margin-bottom : 0.5em ;

  i {
    font-size : 3em ;
    color : $light-grey ;
  }
}

.home-page-link-tooltip {
  color : $black ;
  display : inline ;
  padding : 0.25em 1em ;
  border-radius : 0.25em ;
  font-family : $font-glacial-normal ;
  opacity: 0;
}

#home-page-main-links-banners {
  position : absolute ;
  top : 0 ;
  z-index : 0 ;
  height : 100% ;
  display : flex ;
  justify-content : center ;
}

.home-page-link-banner {
  position : absolute ;
  width : 6em ;
  height : 100vh ;
  top : -45vh ;
  margin : 0 4.25em ;
  opacity : 0.1 ;
  z-index : -1 ;
}

.page-banner {
  position : absolute ;
  opacity : 0.5 ;
  top : 0 ;
  height : 100vh ;
  width : 5em ;
  z-index : -1 ;
}

.writing-page-links {
  display: flex;
  justify-content: center;
  flex-wrap: wrap ;
  margin : 2em 0 ;

  .writing-page-link-director:hover {
    transition : margin 200ms ;
    margin : 0 4em ;

    & .writing-page-link {
      transition : background-color 200ms , border 200ms , height 200ms , width 200ms , box-shadow 200ms , margin-top 200ms ;
      background-color : $blue ;
      border : 2px solid $light-grey ;
      height : 6.6em ;
      width : 6.6em ;
      box-shadow : 0 0.5em 0.5em rgba($color:$black, $alpha: 0.3);
      margin-top : -0.5em ;
    }
  }

  .writing-page-link-director:not(:hover) {
    transition : margin 200ms ;
    margin : 0 4em ;

    & .writing-page-link {
      transition : background-color 200ms , border 200ms , height 200ms , width 200ms , box-shadow 200ms , margin-top 200ms ;
      background-color : $black ;
      border : 2px solid $black ;
      height : calc(6.5em - 4px) ;
      width : calc(6.5em - 4px) ;
      box-shadow : none ;
      margin-top : 0 ;
    }
  }
}

.writing-page-link-tooltip,
.architecture-page-link-tooltip {
  text-align: center;
}

.writing-page-description,
.architecture-page-description {
  background-color : $white ;
  padding : 2em 4em ;
  opacity : 0.8 ;
  display : inline-block ;
  margin-left : 50% ;
  transform : translate(-50%) ;

  a {
    font-family: $font-adventor ;
    font-weight: bold ;
  }
}

.architecture-page-links {
  display: flex;
  justify-content: center;
  flex-wrap: wrap ;
  margin : 2em 0 ;

  .architecture-page-link-director:hover {
    transition : margin 200ms ;
    margin : 0 4em ;

    & .architecture-page-link {
      transition : background-color 200ms , border 200ms , height 200ms , width 200ms , box-shadow 200ms , margin-top 200ms ;
      background-color : $brown ;
      border : 2px solid $light-grey ;
      height : 6.6em ;
      width : 6.6em ;
      box-shadow : 0 0.5em 0.5em rgba($color:$black, $alpha: 0.3);
      margin-top : -0.5em ;
    }
  }

  .architecture-page-link-director:not(:hover) {
    transition : margin 200ms ;
    margin : 0 4em ;

    & .architecture-page-link {
      transition : background-color 200ms , border 200ms , height 200ms , width 200ms , box-shadow 200ms , margin-top 200ms ;
      background-color : $black ;
      border : 2px solid $black ;
      height : calc(6.5em - 4px) ;
      width : calc(6.5em - 4px) ;
      box-shadow : none ;
      margin-top : 0 ;
    }
  }
}

.aboutme-page-content {
  width : 80vw ;
  padding : 1em ;
  margin-left : 10em ;
  background-color : $white ;
  opacity : 0.9 ;
}

#linkedin-link,
#gitlab-link {
  display : inline-flex ;
  border : 2px solid $black;

  span:first-child {
    font-size : 2em ;
    padding : 0.25em 0 0.25em 0.25em ;
  }

  span:nth-child(2) {
    font-size : 1.5em ;
    font-weight : bold ;
    padding : 0.5em 0.5em 0.5em 0.25em ;
  }
}

#aboutme-paragraphs {
  display : flex ;
  flex-wrap : wrap ;

  .aboutme-paragraph {
    flex : 1 1 20em ;
    margin : 0.5em ;
    padding : 1em ;

    &:first-child {
      margin-left : 0 ;
    }

    &:nth-child(3) {
      margin-right : 0 ;
      color : $light-grey ;
    }

    span {
      &:first-child {
        font-family : $font-adventor ;
        font-weight : bold ;
        display : block ;
      }

      & p {
        border : none ;
        font-family: $font-glacial-normal ;
        padding : 0.5em ;

        a {
          font-family : $font-adventor ;
          font-weight : bold ;
        }
      }
    }
  }
}

#software-examples {
  #software-examples-text {
    padding : 2em 0 ;
    font-size : 1.5em ;
  }

  #software-examples-list {
    display : flex ;
    flex-wrap : wrap ;

    .software-example {
      flex : 1 1 20em ;
      margin : 0.5em ;
      padding : 1em ;
      border : 2px solid $black ;
      background-color: $red ;
      opacity : 0.9 ;

      &:first-child {
        margin-left : 0 ;
      }

      .software-example-title {
        padding : 1em 0 ;
        font-weight: bold;

        .software-example-title-text {

          &::after {
            content : "\f35d" ;
            font-family : $font-line-awesome ;
            color : $light-grey ;
            margin-left : 4px ;
          }
        }

        .website {
          &::before {
            content : "\f0ac" ;
            font-family : $font-line-awesome;
            margin-right : 0.5em ;
          }
        }

        .ai {
          &::before {
            content : '\f544' ;
            font-family : $font-line-awesome;
            margin-right : 0.5em ;
          }
        }

        .app {
          &::before {
            content : '\f4fb;' ;
            font-family : $font-line-awesome;
            margin-right : 0.5em ;
          }
        }
      }

      .software-example-description {
        padding : 1em 0 ;
      }
    }
  }
}